Update webhook

Updates an existing webhook endpoint. Requires the WEBHOOKS_WRITE scope.

PATCH https://api.pandabase.io/v2/core/stores/{storeId}/webhooks/{webhookId}

Authentication

Requires a bearer token (sk_…) or an API key in the header Authorization.

Path parameters

storeId string required

(length 12–48)

webhookId string required

(length 12–48)

Header parameters

idempotency-key string

(length 8–32)

Body parameters

url uri

(format uri, pattern ^https://, length 0–512)

eventTypes array of enum

No description.

note string or null

No description.

isEnabled boolean

No description.

signatureVersion enum

No description.

Response 200

Default Response

ok enum required

(one of true)

data object required

No description.

Response 400

Default Response

ok enum required

(one of false)

error string required

No description.

Request
curl -X PATCH https://api.pandabase.io/v2/core/stores/:storeId/webhooks/:webhookId \  -H "Content-Type: application/json" \  -d '{"url":"string","eventTypes":["PAYMENT_PENDING"],"note":"string","isEnabled":true,"signatureVersion":"V1"}'
Response
{  "ok": true,  "data": {    "id": "whk_5h7n4tr3bcfp2v8q1mzj0kxw",    "url": "https://example.com/webhooks/pandabase",    "note": "Production endpoint",    "isEnabled": true,    "eventTypes": [      "PAYMENT_COMPLETED",      "PAYMENT_REFUNDED",      "PAYMENT_DISPUTED"    ],    "signatureVersion": "V2",    "createdAt": "2026-04-10T09:00:00.000Z",    "updatedAt": "2026-05-01T13:42:00.000Z"  }}